#!/usr/bin/perl
# Copyright 2003 Bontrager Connection, LLC
#
# Version 1.1 -- first version used == to compare string instead of eq
#
# Permission to use of this script is 
#    subject to the License agreement at
#    http://willmaster.com/master/LicenseAgreement.html

use strict;
my $result = $ENV{QUERY_STRING};
(undef,$result) = split /\=/,$result if $result =~ /\=/;
$result = CurrencyFormatted($result);
$result = CommaFormatted($result);
print "Content-type: text/html\n\n";
print "<html><body>$result";
print '<form method="GET" action="commaNcurrency.cgi">';
print '<input type="text" name="anything">';
print '<input type="submit"></form>';
print '<a href=".">[home]</a></body></html>';

sub CurrencyFormatted
{
	my $n = shift;
	my $minus = $n < 0 ? '-' : '';
	$n = abs($n);
	$n = int(($n + .005) * 100) / 100;
	$n .= '.00' unless $n =~ /\./;
	$n .= '0' if substr($n,(length($n) - 2),1) eq '.';
	chop $n if $n =~ /\.\d\d0$/;
	return "$minus$n";
} # sub CurrencyFormatted

sub CommaFormatted
{
	my $delimiter = ',';
	my($n,$d) = split /\./,shift,2;
	my @a = ();
	while($n =~ /\d\d\d\d/)
	{
		$n =~ s/(\d\d\d)$//;
		unshift @a,$1;
	}
	unshift @a,$n;
	$n = join $delimiter,@a;
	$n = "$n\.$d" if $d =~ /\d/;
	return $n;
} # sub CommaFormatted

